/*
 * Copyright 2007 by Kappich Systemberatung, Aachen
 * Copyright 2005 by Kappich+Kniß Systemberatung Aachen (K2S)
 * 
 * This file is part of de.bsvrz.dav.daf.
 * 
 * de.bsvrz.dav.daf is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * de.bsvrz.dav.daf is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with de.bsvrz.dav.daf; If not, see <http://www.gnu.org/licenses/>.
 */
package de.bsvrz.dav.daf.main.archive;

import de.bsvrz.dav.daf.main.Dataset;

/**
 * Schnittstelle zum Zugriff auf einen Ergebnisdatensatz aus dem Archivsystem.
 *
 * @author Kappich Systemberatung
 * @version $Revision$
 */
public interface ArchiveData extends Dataset {

	/**
	 * Bestimmt den Archivzeitstempel dieses Archivdatensatzes.
	 *
	 * @return Archivzeitstempel in Millisekunden seit 1970.
	 */
	public long getArchiveTime();

}
